Package org.firebirdsql.jdbc

## Interface FBObjectListener.ResultSetListener

- All Known Implementing Classes:
    `FBObjectListener.NoActionResultSetListener`
  Enclosing interface:
    FBObjectListener

      public static interface FBObjectListener.ResultSetListener

  Listener for the events generated by the result set.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `allRowsFetched​(java.sql.ResultSet rs)` | Notify listener that all rows were fetched.
    `void` | `executionCompleted​(org.firebirdsql.jdbc.FirebirdRowUpdater updater, boolean success)` | Notify listener that execution of some row updating operation is completed.
    `void` | `executionStarted​(org.firebirdsql.jdbc.FirebirdRowUpdater updater)` | Notify listener that execution of some row updating operation started.
    `void` | `resultSetClosed​(java.sql.ResultSet rs)` | Notify listener that result set was closed.

- - ### Method Detail

    - #### resultSetClosed

          void resultSetClosed​(java.sql.ResultSet rs)
                        throws java.sql.SQLException

      Notify listener that result set was closed.
      Parameters:
        `rs` - result set that was closed.
      Throws:
        `java.sql.SQLException`

    - #### allRowsFetched

          void allRowsFetched​(java.sql.ResultSet rs)
                       throws java.sql.SQLException

      Notify listener that all rows were fetched. This event is used in auto-commit case to tell the statement that it is completed.
      Parameters:
        `rs` - result set that was completed.
      Throws:
        `java.sql.SQLException`

    - #### executionStarted

          void executionStarted​(org.firebirdsql.jdbc.FirebirdRowUpdater updater)
                         throws java.sql.SQLException

      Notify listener that execution of some row updating operation started.
      Parameters:
        `updater` - instance of `FirebirdRowUpdater`
      Throws:
        `java.sql.SQLException` - if somewthing went wrong.

    - #### executionCompleted

          void executionCompleted​(org.firebirdsql.jdbc.FirebirdRowUpdater updater,
                                  boolean success)
                           throws java.sql.SQLException

      Notify listener that execution of some row updating operation is completed.
      Parameters:
        `updater` - instance of `FirebirdRowUpdater`.
      Throws:
        `java.sql.SQLException` - if something went wrong.